%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{_mingw32_findrequires}
%global __find_provides %{_mingw32_findprovides}
%define __debug_install_post %{_mingw32_debug_install_post}

Name:           mingw32-cairomm
Version:        1.8.4
Release:        1%{?dist}
Summary:        MinGW Windows C++ API for the cairo graphics library

License:        LGPLv2+
Group:          Development/Libraries
URL:            http://www.cairographics.org
Source0:        http://www.cairographics.org/releases/cairomm-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 52
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-cairo
BuildRequires:  mingw32-libsigc++20
BuildRequires:  pkgconfig

Requires:       pkgconfig


%description
Cairomm is the C++ API for the cairo graphics library. It offers all the power
of cairo with an interface familiar to C++ developers, including use of the 
Standard Template Library where it makes sense.


%{_mingw32_debug_package}


%prep
%setup -q -n cairomm-%{version}


%build
%{_mingw32_configure} --enable-static=no --enable-docs=no
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT/%{_mingw32_datadir}/{devhelp,doc}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc COPYING
%{_mingw32_bindir}/libcairomm-1.0-1.dll
%{_mingw32_libdir}/libcairomm-1.0.dll.a
%{_mingw32_libdir}/libcairomm-1.0.la
%{_mingw32_libdir}/pkgconfig/cairomm-1.0.pc
%{_mingw32_libdir}/pkgconfig/cairomm-pdf-1.0.pc
%{_mingw32_libdir}/pkgconfig/cairomm-png-1.0.pc
%{_mingw32_libdir}/pkgconfig/cairomm-ps-1.0.pc
%{_mingw32_libdir}/pkgconfig/cairomm-svg-1.0.pc
%{_mingw32_libdir}/pkgconfig/cairomm-win32-1.0.pc
%{_mingw32_libdir}/pkgconfig/cairomm-win32-font-1.0.pc
%{_mingw32_includedir}/cairomm-1.0
%{_mingw32_libdir}/cairomm-1.0/include/cairommconfig.h

%changelog
* Sat Dec  5 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.8.4-1
- update to 1.8.44

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 22 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.8.0-3
- add debuginfo packages

* Thu Apr 16 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.8.0-2
- replace %%define with %%global

* Wed Mar 25 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.8.0-1
- update to 1.8.0

* Fri Feb 20 2009 Richard W.M. Jones <rjones@redhat.com> - 1.6.2-5
- Rebuild for mingw32-gcc 4.4

* Fri Feb  6 2009 Richard W.M. Jones <rjones@redhat.com> - 1.6.2-4
- Include license.

* Fri Jan 23 2009 Richard W.M. Jones <rjones@redhat.com> - 1.6.2-3
- Use _smp_mflags.

* Fri Oct 24 2008 Richard W.M. Jones <rjones@redhat.com> - 1.6.2-2
- Initial RPM release.
